import examples.Square;
import muskel.mdf.Task;
import muskel.stream.IntegerStreamInputManager;

/**
 * Classe per testare il tempo di completamento medio di una Compute
 * */
public class ComputeTest {

	public static void main(String[] args) {
		
		int howmuch = 8;
		IntegerStreamInputManager ism = new IntegerStreamInputManager(howmuch);
		
		long tot = 0;
		
		Square w = new Square();//Compute da testare
		int x,y;
		
		Task[] t = new Task[1];
		Task[] result;
		
		while(ism.hasNext())
		{
			x = (Integer) ism.next();
			
			t[0] = new Task(new Integer(x));
			
			long inizio = System.currentTimeMillis();
			
			result = w.compute(t);
			
			long fine = System.currentTimeMillis();

			y = (Integer) result[0].getValue();

			tot += fine - inizio;
			
			System.out.println("f("+x+"): " + y);
		}
		
		System.out.println("Durata media per "+howmuch+" input: " + tot/howmuch);

	}

}
