package muskel.mdf;

import java.io.Serializable;
/**
 * ComputeResult ospita il risultato
 * prodotto dal metodo compute di Mdfi,
 * cioe' un vettore di OutputToken
 * */
public class ComputeResult implements Serializable {

	private static final long serialVersionUID = 3465514833572047651L;
	
	private OutputToken[] outTok;

	/**
	 * Crea un nuovo ComputeResult contenente il
	 * vettore di {@link OutputToken} specificato
	 * */
	public ComputeResult(OutputToken[] outTok) {
		this.outTok = outTok;
	}
	
	/**
	 * Restituisce il vettore di {@link OutputToken}
	 * contenuto in this.
	 * */
	public OutputToken[] getOutTokens() {
		return outTok;
	}	
}
