package muskel.mdf;

import java.io.Serializable;

/**
 * Identifier Generator Interface
 * 
 * */
public interface IdGenerator extends Serializable {

	/**
	 * Generate a new identifier. Must be unique.
	 * @return  Generate a new identifier
	 * */
	public Identifier generateId();
	
}
