package muskel.mdf;

import java.io.Serializable;

/**
 * Interfaccia per gli identificatori.
 * E' richiesta l'immutabilità per permettere
 * la clone implementata come shallow copy;
 * */
public interface Identifier extends Comparable<Identifier>, Serializable {
	
	public boolean equals(Object id);
	
	public int hashCode();
}
