package muskel.mdf;
/**
 * Id di una posizione all'interno del vettore
 * degli input di una Mdfi
 * L'Id deve essere un IntegerIdentifier.
 * 
 * @author albanese
 * 
 * */
public class InputPositionId extends GenericId {
	
	private static final long serialVersionUID = -419660152059173135L;

	/** Costruisce un nuovo InputPositionId specificando l'Identifier*/
	public InputPositionId(IntegerIdentifier id) {		
		super(id);

	}
	
	@Override
	public Object clone() {
	
		return new InputPositionId((IntegerIdentifier) this.id);
	}
}
