/* This is the muskel: a skeleton/RMI based, parallel programming library
Copyright (C) 2006  Marco Danelutto, Dept. Computer Science, Univ. Pisa, Italy

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. */

package muskel;

public class OpCodeNotPresentException extends Exception {

	private static final long serialVersionUID = -7696424837110314635L;

	public OpCodeNotPresentException() {
		super();
	}

	public OpCodeNotPresentException(String message) {
		super(message);
	}

	public OpCodeNotPresentException(String message, Throwable cause) {
		super(message, cause);
	}

	public OpCodeNotPresentException(Throwable cause) {
		super(cause);
	}

}
